### 7.10.3 math.inc - Vector Analysis

`SetGradientAccuracy(Value)`: all below macros make use of a constant named '__Gradient_Fn_Accuracy_' for numerical approximation of the derivatives. This constant can be changed with the macro, the default value is 0.001.

`fn_Gradient(Fn)`: macro calculating the gradient of a function as a function.
Parameters:

- `Fn` = function to calculate the gradient from.

Output: the length of the gradient as a function.

`fn_Gradient_Directional(Fn, Dir)`: macro calculating the gradient of a function in one direction as a function.
Parameters:

- `Fn` = function to calculate the gradient from.
- `Dir` = direction to calculate the gradient.

Output: the gradient in that direction as a function.

`fn_Divergence(Fnx, Fny, Fnz)`: macro calculating the divergence of a (vector) function as a function.
Parameters:

- `Fnx, Fny, Fnz`= x, y and z components of a vector function.

Output: the divergence as a function.

`vGradient(Fn, p0)`: macro calculating the gradient of a function as a vector expression.
Parameters:

- `Fn` = function to calculate the gradient from.
- `p0` = point where to calculate the gradient.

Output: the gradient as a vector expression.

`vCurl(Fnx, Fny, Fnz, p0)`: macro calculating the curl of a (vector) function as a vector expression
Parameters:

- `Fnx, Fny, Fnz` = x, y and z components of a vector function.
- `p0` = point where to calculate the gradient.

Output: the curl as a vector expression

`Divergence(Fnx, Fny, Fnz, p0)`: macro calculating the divergence of a (vector) function as a float expression
Parameters:

- `Fnx, Fny, Fnz` = x, y and z components of a vector function.
- `p0` = point where to calculate the gradient.

Output: the divergence as a float expression.

`Gradient_Length(Fn, p0)`: macro calculating the length of the gradient of a function as a float expression.
Parameters:

- `Fn` = function to calculate the gradient from.
- `p0` = point where to calculate the gradient.

Output: the length of the gradient as a float expression.

`Gradient_Directional(Fn, p0, Dir)`: macro calculating the gradient of a function in one direction as a float expression.
Parameters:

- `Fn` = function to calculate the gradient from.
- `p0` = point where to calculate the gradient.
- `Dir` = direction to calculate the gradient.

Output: the gradient in that direction as a float expression